package response

type MsgResponse struct {
	Success bool   `json:"success"`
	ErrCode int    `json:"errCode"`
	Msg     string `json:"msg"`
}

type InfoResponse[T any] struct {
	MsgResponse
	Info T `json:"info"`
}

type BusinessCatalogsInfoWithWorkflowTemplate struct {
	ID               string `json:"id"`
	Name             string `json:"name"`
	Code             string `json:"code"`
	Sort             int    `json:"sort"`
	TenantID         string `json:"tenantId" `
	CreateUserID     string `json:"createUserId"`
	LastUpdateUserID string `json:"lastUpdateUserId"`
	CreatedTime      string `json:"createdTime"`
	LastUpdatedTime  string `json:"lastUpdatedTime"`
	WorkTemplateId   string `json:"workTemplateId"`
}
